Adopt a media version
curl --request POST \
--url https://api.geekidea.ai/v1/dramas/{id}/media/{mediaId}/versions/{version}/adopt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/dramas/{id}/media/{mediaId}/versions/{version}/adopt"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/dramas/{id}/media/{mediaId}/versions/{version}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "dmedia_0192f1c3a7b87c3e9a4f5b6c7d8e9f01",
"object": "drama.media",
"episode_no": 1,
"category": "keyframe",
"element_code": "<string>",
"shot_no": 123,
"stale": true,
"current": {
"version": 1,
"status": "succeeded",
"source": "<string>",
"file": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"generation_id": "<string>",
"prompt": "<string>",
"feedback": "<string>",
"error_code": "<string>",
"created_at": 123
},
"latest": {
"version": 1,
"status": "succeeded",
"source": "<string>",
"file": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"generation_id": "<string>",
"prompt": "<string>",
"feedback": "<string>",
"error_code": "<string>",
"created_at": 123
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Dramas
Adopt a media version
Makes an earlier succeeded version current; downstream media are marked stale.
POST
/
v1
/
dramas
/
{id}
/
media
/
{mediaId}
/
versions
/
{version}
/
adopt
Adopt a media version
curl --request POST \
--url https://api.geekidea.ai/v1/dramas/{id}/media/{mediaId}/versions/{version}/adopt \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/dramas/{id}/media/{mediaId}/versions/{version}/adopt"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/dramas/{id}/media/{mediaId}/versions/{version}/adopt', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "dmedia_0192f1c3a7b87c3e9a4f5b6c7d8e9f01",
"object": "drama.media",
"episode_no": 1,
"category": "keyframe",
"element_code": "<string>",
"shot_no": 123,
"stale": true,
"current": {
"version": 1,
"status": "succeeded",
"source": "<string>",
"file": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"generation_id": "<string>",
"prompt": "<string>",
"feedback": "<string>",
"error_code": "<string>",
"created_at": 123
},
"latest": {
"version": 1,
"status": "succeeded",
"source": "<string>",
"file": {
"file_id": "<string>",
"url": "<string>",
"mime": "<string>",
"width": 123,
"height": 123
},
"generation_id": "<string>",
"prompt": "<string>",
"feedback": "<string>",
"error_code": "<string>",
"created_at": 123
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Authorizations
Provide your API key in the Authorization header using Bearer auth
Path Parameters
Drama ID
Media ID
Version number
Response
OK
A media slot (character, turnaround, scene, prop, keyframe, clip, final, cover, poster) with its current version.
ID (dmedia_ prefix)
Example:
"dmedia_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"
Object type
Example:
"drama.media"
Episode number
Example:
1
Category
Available options:
character, turnaround, scene, prop, keyframe, clip, final, cover, poster Example:
"keyframe"
Code of the character, scene or prop
Segment number (keyframes and clips)
Upstream changed: a reference image, keyframe or clip it was made from has a new version; you can regenerate it
One version of a media item.
Show child attributes
Show child attributes
One version of a media item.
Show child attributes
Show child attributes
